<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.mq.mapper.abnormal.FhzgOperationAbnormalityAwaitTransferPathDetailMapper">

    <resultMap id="BaseResultMap"
               type="com.hdkj.lt.core.bizms.modle.po.operationAbnormality.FhzgOperationAbnormalityAwaitTransferPathDetail">
        <id property="id" column="id" jdbcType="BIGINT"/>
        <result property="oaId" column="oa_id" jdbcType="BIGINT"/>
        <result property="transferType" column="transfer_type" jdbcType="VARCHAR"/>
        <result property="lineId" column="line_id" jdbcType="VARCHAR"/>
        <result property="lineName" column="line_name" jdbcType="VARCHAR"/>
        <result property="closeSwitchId" column="close_switch_id" jdbcType="VARCHAR"/>
        <result property="closeSwitchName" column="close_switch_name" jdbcType="VARCHAR"/>
        <result property="beforeCurrent" column="before_current" jdbcType="DECIMAL"/>
        <result property="afterCurrent" column="after_current" jdbcType="DECIMAL"/>
        <result property="ratedCurrent" column="rated_current" jdbcType="DECIMAL"/>
        <result property="beforeLoadFactor" column="before_load_factor" jdbcType="DECIMAL"/>
        <result property="afterLoadFactor" column="after_load_factor" jdbcType="DECIMAL"/>
        <result property="loadChange" column="load_change" jdbcType="DECIMAL"/>
        <result property="groupLineId" column="group_line_id" jdbcType="VARCHAR"/>
        <result property="creator" column="creator" jdbcType="BIGINT"/>
        <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
        <result property="lastEditor" column="last_editor" jdbcType="BIGINT"/>
        <result property="lastTime" column="last_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id
        ,oa_id,transfer_type,
        line_id,line_name,close_switch_id,
        close_switch_name,before_current,after_current,
        rated_current,before_load_factor,after_load_factor,
        load_change,group_line_id,creator,
        create_time,last_editor,last_time
    </sql>
</mapper>
